# View and edit Project settings

Select the **Settings** tab on the Project listing or details page to view and edit Project settings:

<figure><img src="../../.gitbook/assets/screenshot_2021-04-14_at_09.23.38.png" alt="Project settings"><figcaption><p>Project settings</p></figcaption></figure>

Click **GitHub integration** to edit SCM-specific settings. This also applies to other SCMs.

You can edit the **Project Notification Settings** and update the **Test & Automated Pull Request Frequency**. You can also retrieve the **Project ID** for use in Snyk API calls.

{% hint style="info" %}
The default test frequency and available test frequencies vary depending on the type of Project: Open Source, Code analysis, Container, or IaC. For more information, see [Usage settings, Set test frequency](../manage-settings/usage-settings.md#set-test-frequency). You can also set test frequency by using the Snyk REST API endpoint [Updates project by project ID](https://apidocs.snyk.io/#patch-/orgs/-org\_id-/projects/-project\_id-).
{% endhint %}

To deactivate a Project, select **Deactivate project** on the Project settings page. By deactivating a Project, you will do the following:

* Remove the webhook from the SCM repository.
* Disable pull request tests for new vulnerabilities.
* Disable a Fix pull request from being opened for newly disclosed vulnerabilities.
* Disable recurring tests; email alerts about newly disclosed vulnerabilities will be turned off.
* Remove any vulnerabilities in the Project from reporting and dashboard views

To delete a Project, select **Delete project** on the Project settings page. By deleting a Project, you will do the following:

* Delete the Project and all historical snapshot data from Snyk.
* Remove the webhook from the SCM repository.
